Content commander

This project is intended to be valuable for both testing and production content
generation scenarios. In production, usually you don't want to use the `-d`
console flag, as it could wipe out user-edits. On non production and development
environments, this behavior is likely intentional as content usually should be
reset.

# Usage

- Create a content enum in src/ContentCommander of a custom module.
- The enum must extend the interface, and may choose to use the trait.
  - See examples in `tests/modules/content_commander_test` for inspiration.
- Execute content creation with `dex`. Commands are created automatically.
- A special `dex content-commander:create-all` command is available which
  creates all discovered content.

# Tips

`\Drupal\content_commander\ContentInterface::uuid` should return a fixed UUID,
if you don't intend to record the UUID in the enum, you can opt to let UUID
export to configuration by returning `null`.

Configuration can be exported if you wish for entities for an enum to be the
same across site instances. Otherwise add `content_commander.content_mapping`
to ignored configuration, if you don't mind content UUIDs differing across
environments.
