<?php

declare(strict_types=1);

namespace Drupal\content_commander\Attribute;

use Drupal\content_commander\ContentInterface;

#[\Attribute(\Attribute::IS_REPEATABLE | \Attribute::TARGET_CLASS_CONSTANT)]
final readonly class DependsOn {

  /**
   * @param \Drupal\content_commander\ContentInterface $content
   *   The entity required by the entity this is on.
   * @param bool $optional
   *   Use the optional flag to disable reference checking. Reference checking
   *   ensures entities are not created and kept in memory unnecessarily, and
   *   helps manage dead and unused code.
   */
  public function __construct(
    public ContentInterface $content,
    public bool $optional = FALSE,
  ) {
  }

}
