<?php

declare(strict_types=1);

namespace Drupal\content_commander;

use Drupal\Core\Entity\ContentEntityInterface;

/**
 * Boilerplate implementations of ContentInterface.
 *
 * Methods are all-in, non-extensible.
 *
 * @see \Drupal\content_commander\ContentInterface
 */
trait ContentTrait {

  public function uuid(): ?string {
    // By default, store UUIDs in Drupal configuration.
    // To store the UUID statically, return a UUID here.
    return NULL;
  }

  final public function entity(): ?ContentEntityInterface {
    /** @var \Drupal\content_commander\ContentRepositoryInterface $service */
    $service = \Drupal::service(ContentRepositoryInterface::class);
    return $service->getEntity($this);
  }

}
